EUCA-ATTACH-NETWORK-INTERFACE(1)

NAME
euca-attach-network-interface - Attach a VPC network interface to an instance

SYNOPSIS
euca-attach-network-interface -i INSTANCE -d INT [--show-empty-fields]

[-U URL] [--region USER@REGION]
    [-I KEY_ID] [-S KEY] [--security-token TOKEN] [--debug] [--debugger] [--version] [-h] INTERFACE

DESCRIPTION
Attach a VPC network interface to an instance

  positional arguments:

INTERFACE
    network interface to attach to the instance (required)

  optional arguments:

-i INSTANCE, --instance INSTANCE
    instance to attach the network interface to (required)

-d INT, --device-index INT
    device index to attach the network interface with (required)

--show-empty-fields
    show empty values as "(nil)"

-U URL, --url URL
    compute service endpoint URL

--region USER@REGION
    region and/or user names to search when looking up config file data

-I KEY_ID, --access-key-id KEY_ID

-S KEY, --secret-key KEY

--security-token TOKEN

--debug
    show debugging output

--debugger
    launch interactive debugger on error

--version
    show the program's version and exit

-h, --help
    show this help message and exit